Android Studio Arctic Fox Canary 3 更新日志

Android Studio Arctic Fox Canary 3 更新日志

Android Gradle plugin: 依赖配置项已被移除

在 AGP 7.0 Canary 3, 以下配置项 (or dependency scopes) 已被移除:

  • compile
    Depending on use case, this has been replaced by api or implementation.
    Also applies to *Compile variants, for example: debugCompile.
  • provided
    This has been replaced by compileOnly.
    Also applies to *Provided variants, for example: releaseProvided.
  • apk
    This has been replaced by runtimeOnly.
  • publish
    This has been replaced by runtimeOnly.

在大多数情况下,AGP 升级助手 将自动将您的项目迁移到新的配置。

一般性 Bug 修复

以下是这次更新中修复的相关 Bug:

C++ Debugger

  • Issue #171300775: Display actionable error for missing dependencies: LLDBFrontend exited with code 127

Lint

New Project Wizard


👉去下载👈

版权声明

禁止一切形式的转载-禁止商用-禁止衍生 申请授权

脉脉不得语
脉脉不得语
Zhengzhou Website
菜鸟 Android 开发一枚/前郑州 GDG 组织者/Android 开发技术周报站长/AndroidDevTools 站长/Toast.show(∞) 播客主播

你已经成功订阅到 Android 开发技术周报
太棒了!接下来,完成检验以获得全部访问权限 Android 开发技术周报
欢迎回来!你已经成功登录了。
成功!您的帐户已完全激活,您现在可以访问所有内容。